summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh11
-rw-r--r--scripts/scan-tools.sh3
2 files changed, 12 insertions, 2 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index a7b3cf492..a2879627e 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -60,6 +60,10 @@ if [[ -n $ADK_COMPILE_HEIMDAL ]]; then
NEED_BISON="$NEED_BISON heimdal-server"
fi
+if [[ -n $ADK_PACKAGE_LIBXCB ]]; then
+ NEED_XSLTPROC="$NEED_XSLTPROC libxcb"
+fi
+
if [[ -n $ADK_COMPILE_PCMCIAUTILS ]]; then
NEED_BISON="$NEED_BISON pcmciautils"
NEED_FLEX="$NEED_FLEX pcmciautils"
@@ -278,6 +282,13 @@ if [[ -n $NEED_FLEX ]]; then
fi
fi
+if [[ -n $NEED_XSLTPROC ]]; then
+ if ! which xsltproc >/dev/null 2>&1; then
+ echo >&2 You need xsltproc to to use $NEED_XSLTPROC package
+ out=1
+ fi
+fi
+
if [[ -n $NEED_PYTHON ]]; then
if ! which python >/dev/null 2>&1; then
if ! test -x /usr/pkg/bin/python2.6 >/dev/null; then
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 2ad569de0..7d6d73e53 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -72,11 +72,10 @@ set +e
cat >Makefile <<'EOF'
include ${TOPDIR}/prereq.mk
-HOSTCFLAGS+= -O2
all: run-test
test: test.c
- ${HOSTCC} ${HOSTCFLAGS} -o $@ $^ ${LDADD}
+ ${CC_FOR_BUILD} ${CFLAGS_FOR_BUILD} -o $@ $^ ${LDADD}
run-test: test
./test